Subject: Re: ls.exe slow down in cygwin 1.3.13 (a followup from the "ls problem" thread last november 2002)
From: Brian Dessent <[email-masked]>
To: [email-masked]
Date: Mon, 30 Jun 2003 03:52:24 -0700

Carlo Florendo wrote:

> I've tried stracing the output of "ls -l" and I've attached the output of strace too.
> An observation on the output of strace is that the delay starts when line 442 is printed.
> 
> Line 442 of the strace output is:
> 
> 104 1970355 [main] ls 2012 _open: -1 = open (/usr/local/etc/zoneinfo/posixrules, 0x10000)
> 
> I'm wondering what this zoneinfo/posixrules is.  The file does not exist in my installation.

One of the time library functions (i.e. ctime() or localtime() or
strftime(), etc) apparently looks for those files to determine time zone
information.  Mine does it too, but it doesn't take anywhere near as
long.

It looks like you have $TZ set to CST-8, just for kicks why not try
"unset TZ; ls -l" just to see if it makes any difference at all.

Brian

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/